---
title: Float32Array() constructor
slug: Web/JavaScript/Reference/Global_Objects/Float32Array/Float32Array
tags:
  - Constructor
  - JavaScript
  - Reference
  - TypedArrays
---
<div>{{JSRef}}</div>

<p>The <strong><code>Float32Array()</code></strong> typed array constructor creates a new {{jsxref("Float32Array")}} object, which is, an array of 32-bit floating point numbers (corresponding to the C <code>float</code> data type) in the platform byte order. If control over byte order is needed, use {{jsxref("DataView")}} instead. The contents are initialized to <code>0</code>. Once established, you can reference elements in the array using the object's methods, or using standard array index syntax (that is, using bracket notation).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">new Float32Array(); // new in ES2017
new Float32Array(<var>length</var>);
new Float32Array(<var>typedArray</var>);
new Float32Array(<var>object</var>);
new Float32Array(<var>buffer</var> [, <var>byteOffset</var> [, <var>length</var>]]);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>length</var></code></dt>
 <dd>When called with a <code><var>length</var></code> argument, an internal array buffer is created in memory, of size <code><var>length</var></code><em> multiplied by <code>BYTES_PER_ELEMENT</code></em> bytes, containing zeros.</dd>
 <dt><code><var>typedArray</var></code></dt>
 <dd>When called with a <code><var>typedArray</var></code> argument, which can be an object of any of the typed array types (such as <code>Int32Array</code>), the <code><var>typedArray</var></code> gets copied into a new typed array. Each value in <code><var>typedArray</var></code> is converted to the corresponding type of the constructor before being copied into the new array. The length of the new typed array will be same as the length of the <code><var>typedArray</var></code> argument.</dd>
 <dt><code><var>object</var></code></dt>
 <dd>When called with an <code><var>object</var></code> argument, a new typed array is created as if by the <code><var>TypedArray</var>.from()</code> method.</dd>
 <dt><code><var>buffer</var></code>, <code><var>byteOffset</var></code>, <code><var>length</var></code></dt>
 <dd>When called with a <code><var>buffer</var></code>, and optionally a <code><var>byteOffset</var></code> and a <code><var>length</var></code> argument, a new typed array view is created that views the specified {{jsxref("ArrayBuffer")}}. The <code><var>byteOffset</var></code> and <code><var>length</var></code> parameters specify the memory range that will be exposed by the typed array view. If both are omitted, all of <code><var>buffer</var></code> is viewed; if only <code><var>length</var></code> is omitted, the remainder of <code><var>buffer</var></code> is viewed.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Different_ways_to_create_a_Float32Array">Different ways to create a Float32Array</h3>

<pre class="brush: js">// From a length
var float32 = new Float32Array(2);
float32[0] = 42;
console.log(float32[0]); // 42
console.log(float32.length); // 2
console.log(float32.BYTES_PER_ELEMENT); // 4

// From an array
var arr = new Float32Array([21,31]);
console.log(arr[1]); // 31

// From another TypedArray
var x = new Float32Array([21, 31]);
var y = new Float32Array(x);
console.log(y[0]); // 21

// From an ArrayBuffer
var buffer = new ArrayBuffer(16);
var z = new Float32Array(buffer, 0, 4);

// From an iterable
var iterable = function*(){ yield* [1,2,3]; }();
var float32 = new Float32Array(iterable);
// Float32Array[1, 2, 3]
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-typedarray-constructors', 'TypedArray constructors')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Float32Array.Float32Array")}}</p>

<h3 id="Compatibility_notes">Compatibility notes</h3>

<p>Starting with ECMAScript 2015, <code>Float32Array</code> constructors require to be constructed with a {{jsxref("Operators/new", "new")}} operator. Calling a <code>Float32Array</code> constructor as a function without <code>new</code>, will throw a {{jsxref("TypeError")}} from now on.</p>

<pre class="brush: js example-bad">var dv = Float32Array([1, 2, 3]);
// TypeError: calling a builtin Float32Array constructor
// without new is forbidden</pre>

<pre class="brush: js example-good">var dv = new Float32Array([1, 2, 3]);</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Typed_arrays" title="en/JavaScript typed arrays">JavaScript typed arrays</a></li>
 <li>{{jsxref("ArrayBuffer")}}</li>
 <li>{{jsxref("DataView")}}</li>
</ul>
